Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Merge pull request #119 from alphagov/bump-sidekiq-gem

Bump the sidekiq gem
  • Loading branch information...
commit 29aa9c6355d165ad59341e37b1b6c786e14ee86d 2 parents 546ba44 + af458f7
@benilovj benilovj authored
Showing with 12 additions and 16 deletions.
  1. +1 −4 Gemfile
  2. +11 −12 Gemfile.lock
View
5 Gemfile
@@ -26,14 +26,11 @@ else
gem "gds_zendesk", '1.0.1'
end
gem 'redis-rails', '3.2.4'
-gem "sidekiq", "2.13.0"
+gem "sidekiq", "2.17.1"
gem "statsd-ruby", "1.2.1", require: "statsd"
gem 'logstasher', '0.4.0'
gem 'jquery-tablesorter', '1.8.1'
-# pin to version that includes security vulnerability fix, needed by sidekiq
-gem "redis-namespace", "1.3.1"
-
group :development do
gem "quiet_assets", "1.0.2"
end
View
23 Gemfile.lock
@@ -45,12 +45,12 @@ GEM
rack-test (>= 0.5.4)
selenium-webdriver (~> 2.0)
xpath (~> 0.1.4)
- celluloid (0.14.1)
- timers (>= 1.0.0)
+ celluloid (0.15.2)
+ timers (~> 1.1.0)
childprocess (0.3.5)
ffi (~> 1.0, >= 1.0.6)
commonjs (0.2.6)
- connection_pool (1.1.0)
+ connection_pool (1.2.0)
crack (0.3.2)
cucumber (1.3.10)
builder (>= 2.1.2)
@@ -188,7 +188,7 @@ GEM
rake (10.1.0)
rdoc (3.12.2)
json (~> 1.4)
- redis (3.0.4)
+ redis (3.0.6)
redis-actionpack (3.2.4)
actionpack (~> 3.2.0)
redis-rack (~> 1.4.4)
@@ -196,8 +196,8 @@ GEM
redis-activesupport (3.2.5)
activesupport (~> 3.2.0)
redis-store (~> 1.1.0)
- redis-namespace (1.3.1)
- redis (~> 3.0.0)
+ redis-namespace (1.4.1)
+ redis (~> 3.0.4)
redis-rack (1.4.4)
rack (~> 1.4.0)
redis-store (~> 1.1.4)
@@ -220,12 +220,12 @@ GEM
shoulda-context (1.0.2)
shoulda-matchers (1.4.1)
activesupport (>= 3.0.0)
- sidekiq (2.13.0)
- celluloid (>= 0.14.1)
+ sidekiq (2.17.1)
+ celluloid (>= 0.15.2)
connection_pool (>= 1.0.0)
json
- redis (>= 3.0)
- redis-namespace
+ redis (>= 3.0.6)
+ redis-namespace (>= 1.3.1)
sprockets (2.2.2)
hike (~> 1.2)
multi_json (~> 1.0)
@@ -292,10 +292,9 @@ DEPENDENCIES
poltergeist (= 0.7.0)
quiet_assets (= 1.0.2)
rails (= 3.2.16)
- redis-namespace (= 1.3.1)
redis-rails (= 3.2.4)
shoulda (~> 3.3.2)
- sidekiq (= 2.13.0)
+ sidekiq (= 2.17.1)
statsd-ruby (= 1.2.1)
therubyracer (= 0.12.0)
uglifier (>= 1.0.3)
Please sign in to comment.
Something went wrong with that request. Please try again.